Message.Format (JBoss Logging I18n Documentation 2.2.1.Final API)

org.jboss.logging.annotations

## Enum Message.Format

- java.lang.Object
- - java.lang.Enum<Message.Format>
  - - org.jboss.logging.annotations.Message.Format

- All Implemented Interfaces:
    Serializable, Comparable<Message.Format>
  Enclosing class:
    Message

      public static enum Message.Format
      extends Enum<Message.Format>

  The possible format types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MESSAGE_FORMAT` A `MessageFormat`-type format string.
    `NO_FORMAT` Indicates the message should not be formatted.
    `PRINTF` A `Formatter`-type format string.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Message.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Message.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRINTF

          public static final Message.Format PRINTF

      A `Formatter`-type format string.

    - #### MESSAGE_FORMAT

          public static final Message.Format MESSAGE_FORMAT

      A `MessageFormat`-type format string.

    - #### NO_FORMAT

          public static final Message.Format NO_FORMAT

      Indicates the message should not be formatted.

  - ### Method Detail

    - #### values

          public static Message.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.Format c : Message.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 JBoss by Red Hat. All rights reserved.